// glow filter pixel shader

#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform sampler2D CC_Texture0;
uniform vec4 u_color;
uniform vec4 u_offsetColor;

void main()
{
	vec4 _sample_color = texture2D(CC_Texture0, v_texCoord);
	if (_sample_color.x == 0.0 && _sample_color.y == 0.0 && _sample_color.z == 0.0)
		discard;
	
	//gl_FragColor = _sample_color * u_color + u_offsetColor;
	gl_FragColor = _sample_color + u_offsetColor;
}
