// glow filter pixel shader

#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D CC_Texture0;

void main()
{
	vec4 col = texture2D(CC_Texture0, v_texCoord) * v_fragmentColor;
	float grey = dot(col.xyz, vec3(0.299, 0.587, 0.114));
	gl_FragColor = vec4(grey, grey, grey, col.a);
}
