// glow filter vertex shader

attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute vec4 a_color;	
attribute vec4 a_offset_color;

#ifdef GL_ES
varying lowp vec4 v_fragmentColor;
varying mediump vec2 v_texCoord;
varying lowp vec4 v_offset_color;

#else
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
varying vec4 v_offset_color;
#endif

uniform vec4 u_glow_color;

void main()
{
    gl_Position = CC_MVPMatrix * a_position;
    v_fragmentColor = a_color;
	v_offset_color = a_offset_color;
    v_texCoord = a_texCoord;
}
