// glow filter pixel shader

#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
varying vec4 v_screenPosition;

uniform sampler2D CC_Texture0;
uniform float u_maskScreenY;

void main()
{
	if (v_screenPosition.y <= u_maskScreenY)
		discard;
	
	gl_FragColor = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);	
}
